package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

/**
 * Created by Wyh on 2020/2/24.
 * 銷售報表-食品分析-食品排行榜數據對象
 */
public class SalesReportBean {
    /**
     * code : 1
     * errorMsg : 操作成功
     * data : [{"PercentageTotal":"24.4%","foodName":"冲绳黑糖奶盖茶冲绳黑糖奶盖茶","PercentageNum":"0.6%","averageTotal":3.38,"sumNum":77,"sumTotal":260},{"PercentageTotal":"14%","foodName":"柠檬红茶","PercentageNum":"0.2%","averageTotal":6,"sumNum":25,"sumTotal":150},{"PercentageTotal":"9.2%","foodName":"[午]海南雞飯","PercentageNum":"0%","averageTotal":49,"sumNum":2,"sumTotal":98},{"PercentageTotal":"6.3%","foodName":"米紙脆春卷","PercentageNum":"0%","averageTotal":68,"sumNum":1,"sumTotal":68},{"PercentageTotal":"9.2%","foodName":"粒粒有戏火鸡比萨","PercentageNum":"0%","averageTotal":98,"sumNum":1,"sumTotal":98},{"PercentageTotal":"6.3%","foodName":"胡椒雞翼","PercentageNum":"0%","averageTotal":68,"sumNum":1,"sumTotal":68},{"PercentageTotal":"7.3%","foodName":"蠔煎(大)","PercentageNum":"0%","averageTotal":78,"sumNum":1,"sumTotal":78},{"PercentageTotal":"6.3%","foodName":"蠔煎(小)","PercentageNum":"0%","averageTotal":68,"sumNum":1,"sumTotal":68},{"PercentageTotal":"10.1%","foodName":"[午]咖喱海鮮叻沙","PercentageNum":"0%","averageTotal":108,"sumNum":1,"sumTotal":108},{"PercentageTotal":"6.3%","foodName":"香茅煎豬頸肉","PercentageNum":"0%","averageTotal":68,"sumNum":1,"sumTotal":68}]
     * page : null
     */

    private String code;
    private String errorMsg;
    private Object page;
    private List<DataBean> data;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Object getPage() {
        return page;
    }

    public void setPage(Object page) {
        this.page = page;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * PercentageTotal : 24.4%
         * foodName : 冲绳黑糖奶盖茶冲绳黑糖奶盖茶
         * PercentageNum : 0.6%
         * averageTotal : 3.38
         * sumNum : 77
         * sumTotal : 260
         */

        private String PercentageTotal;
        private String foodName;
        private String PercentageNum;
        private double averageTotal;
        private int sumNum;
        private int sumTotal;

        public DataBean() {
        }

        public DataBean(String percentageTotal, String foodName, String percentageNum, double averageTotal, int sumNum, int sumTotal) {
            PercentageTotal = percentageTotal;
            this.foodName = foodName;
            PercentageNum = percentageNum;
            this.averageTotal = averageTotal;
            this.sumNum = sumNum;
            this.sumTotal = sumTotal;
        }

        public String getPercentageTotal() {
            return PercentageTotal;
        }

        public void setPercentageTotal(String PercentageTotal) {
            this.PercentageTotal = PercentageTotal;
        }

        public String getFoodName() {
            return foodName;
        }

        public void setFoodName(String foodName) {
            this.foodName = foodName;
        }

        public String getPercentageNum() {
            return PercentageNum;
        }

        public void setPercentageNum(String PercentageNum) {
            this.PercentageNum = PercentageNum;
        }

        public double getAverageTotal() {
            return averageTotal;
        }

        public void setAverageTotal(double averageTotal) {
            this.averageTotal = averageTotal;
        }

        public int getSumNum() {
            return sumNum;
        }

        public void setSumNum(int sumNum) {
            this.sumNum = sumNum;
        }

        public int getSumTotal() {
            return sumTotal;
        }

        public void setSumTotal(int sumTotal) {
            this.sumTotal = sumTotal;
        }

    }
}
